%define git 1
%define gitdate 20121223
%define oname bbswitch


Name:           kmod-%{oname}
Summary:        bbswitch - Optimus GPU power switcher
Group:          System/Kernel and hardware
Version:        0.5
Release:        1
License:        GPLv3
URL:            https://github.com/Bumblebee-Project/bbswitch
# source from git repo git://github.com/Bumblebee-Project/bbswitch.git
Source0:        %{oname}_%{gitdate}.tar.xz
BuildArch:      noarch
Requires:       dkms

%description
bbswitch is a kernel module which automatically detects the required
ACPI calls for two kinds of Optimus laptops. It has been verified to
work with "real" Optimus and "legacy" Optimus laptops (at least, that
is how I call them).

%files
%{_usrsrc}/%{oname}-%{version}-%{release}/*

%post
dkms add -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade --force
true
/sbin/modprobe %{oname}

%preun
dkms remove --binary -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade --all
true
/sbin/rmmod %{oname}

#--------------------------------------------------------------------
%prep
%setup -qn %{oname}
sed -i 's/#MODULE_VERSION#/%{version}-%{release}/g' dkms/dkms.conf

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}
cp *.c %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}
cp Makefile %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}
cp dkms/dkms.conf %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}/dkms.conf




%changelog
* Sun Dec 23 2012 Andrew Wyatt <andrew@fuduntu.org>
- Port to Fuduntu
- Use latest git checkout

* Sun Jun 17 2012 shlomif <shlomif> 0.4.2-1.mga3
+ Revision: 261229
- Get rid of trailing space
- imported package dkms-bbswitch


* Wed Jun 14 2012 Simple <simplew8@gmail.com> 0.4.2-1
- sync git repo (SHA 979fbcf..)

* Sat Apr 14 2012 Simple <simplew8@gmail.com> 0.4.1-2
- use plain require,that way is neeed to have requires on scriplets
- move to develop branch
- use versioned source
- set to release to allow upgrade in same version

* Mon Mar 19 2012 Simple <simplew8@gmail.com> 0.4.1-1
- initial package
